Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1044090 - [abrt] control-center-3.10.2-3.fc20: g_type_check_instance_cast: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
Summary: [abrt] control-center-3.10.2-3.fc20: g_type_check_instance_cast: Process /usr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f8136f5297dfdea523662b3d82a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 19:19 UTC by José Antonio
Modified: 2015-06-29 13:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:34:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.78 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: core_backtrace (14.78 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: dso_list (24.75 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: environ (1.41 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: maps (117.57 KB, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: open_fds (865 bytes, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details
File: var_log_messages (644 bytes, text/plain)
2013-12-17 19:19 UTC, José Antonio
no flags Details

Description José Antonio 2013-12-17 19:19:09 UTC
Version-Release number of selected component:
control-center-3.10.2-3.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
kernel:         3.11.10-301.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4003
 #1 iter_search at bluetooth-client.c:102
 #2 get_iter_from_proxy at bluetooth-client.c:175
 #3 device_g_properties_changed at bluetooth-client.c:256
 #4 ffi_call_unix64 at ../src/x86/unix64.S:76
 #5 ffi_call at ../src/x86/ffi64.c:522
 #6 g_cclosure_marshal_generic at gclosure.c:1454
 #11 on_properties_changed at gdbusproxy.c:1147
 #12 emit_signal_instance_in_idle_cb at gdbusconnection.c:3743
 #16 g_main_context_iteration at gmain.c:3774

Comment 1 José Antonio 2013-12-17 19:19:17 UTC
Created attachment 837882 [details]
File: backtrace

Comment 2 José Antonio 2013-12-17 19:19:20 UTC
Created attachment 837883 [details]
File: cgroup

Comment 3 José Antonio 2013-12-17 19:19:24 UTC
Created attachment 837884 [details]
File: core_backtrace

Comment 4 José Antonio 2013-12-17 19:19:28 UTC
Created attachment 837885 [details]
File: dso_list

Comment 5 José Antonio 2013-12-17 19:19:31 UTC
Created attachment 837886 [details]
File: environ

Comment 6 José Antonio 2013-12-17 19:19:34 UTC
Created attachment 837887 [details]
File: exploitable

Comment 7 José Antonio 2013-12-17 19:19:36 UTC
Created attachment 837888 [details]
File: limits

Comment 8 José Antonio 2013-12-17 19:19:47 UTC
Created attachment 837889 [details]
File: maps

Comment 9 José Antonio 2013-12-17 19:19:49 UTC
Created attachment 837890 [details]
File: open_fds

Comment 10 José Antonio 2013-12-17 19:19:52 UTC
Created attachment 837891 [details]
File: proc_pid_status

Comment 11 José Antonio 2013-12-17 19:19:54 UTC
Created attachment 837892 [details]
File: var_log_messages

Comment 12 s.sickert 2014-01-30 15:26:56 UTC
Another user experienced a similar problem:

I tried to send a picture via bluetooth from my mobile to my laptop, while I was using the "Sharing"-pane in the gnome-control-center.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
kernel:         3.12.8-300.fc20.x86_64
package:        control-center-3.10.2-4.fc20
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:01:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 13:34:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.